在CentOS系统中使用yum安装指定版本软件的方法

页面导航:首页 > 操作系统 > RedHat/Centos > 在CentOS系统中使用yum安装指定版本软件的方法

在CentOS系统中使用yum安装指定版本软件的方法

来源: 作者: 时间:2015-12-02 11:42 【

这篇文章主要介绍了在CentOS系统中使用yum安装指定版本软件的方法,同样适用于RedHat系的其他Linux系统,需要的朋友可以参考下
这篇文章主要介绍了在CentOS系统中使用yum安装指定版本软件的方法,同样适用于RedHat系的其他Linux系统,需要的朋友可以参考下

yum默认都是安装最新版的软件,这样可能会出一些问题,或者我们希望yum安装指定(特定)版本(旧版本)软件包.所以,就顺带分享yum安装指定(特定)版本(旧版本)软件包的方法。

过程如下:

假设这里是我们想安装的是prce ,输入:

   

复制代码
代码如下:
#yum list prce

输出:

   

复制代码
代码如下:
pcre-7.8-6.el6.i686 : Perl-compatible regular expression library
pcre-7.8-6.el6.x86_64 : Perl-compatible regular expression library
pcre-7.8-6.el6.x86_64 : Perl-compatible regular expression library

  

找到你要安装的版本的完整的名字,这里安装pcre-7.8-6.el6.i686,输入:

   

复制代码
代码如下:
#yum install pcre-7.8-6.el6.i686 -y

安装完后,就是检查pcre的版本了,输入:

   

复制代码
代码如下:
# rpm -qa | grep pcre

就可以看到你安装的版本是不是你要的了。

Tags:

文章评论

最 近 更 新
热 点 排 行
Js与CSS工具
代码转换工具

<